Bug 79568 - Time stamps say "UTC", but are really in Eastern.
Time stamps say "UTC", but are really in Eastern.
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
: 44362 (view as bug list)
Depends On: 14336
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-13 09:58 EST by Aleksey Nogin
Modified: 2007-04-18 12:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-08 15:06:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2002-12-13 09:58:03 EST
The time stamps on comments in Bugzilla (including the initial report) say "UTC"
in them, but in reality they appear to be Eastern time.
Comment 1 Aleksey Nogin 2002-12-13 14:42:25 EST
*** Bug 44362 has been marked as a duplicate of this bug. ***
Comment 2 Christian Rose 2002-12-14 17:08:59 EST
It would be nice if Bugzilla really used UTC. This would help all international
contributors.

There are several benefits:

* All timezones around the world are relative to the UTC and defined to be
a difference with regards to UTC. A user living in a particular timezone is
more likely to easily know about his time zone's difference to UTC than the
difference to any other random time zone around the world, such as the one
the bugzilla should happen to be in.
Also, using the difference to UTC is a much easier mental computation than
having to use both the user's own difference to UTC and the bugzilla's and
having to use both to compute the actual local time.

* UTC is not affected by daylight savings time. This means that timestamps
are valid all year. Thus, with bugzilla using UTC, all the user needs to
know is his own time zone's use of daylight savings time, and not also the
one of the time zone the bugzilla happens to be in, when it occurs etc.
Comment 3 David Woodhouse 2006-02-20 05:28:43 EST
The time stamps say 'EST' now, but I've no idea what 'EST' means. Doesn't seem
to be Eastern Australia. The three-letter names are almost all ambiguous -- you
really need to give timezones numerically ('+1000' instead of EST, for example).

UTC would definitely be better than this, although even better might be to
display the time in the user's _own_ time zone, according to stored preference.
That shouldn't be hard.
Comment 4 Need Real Name 2006-04-03 15:34:25 EDT
There needs to be a timezone preference in bugzilla, with a default to the
international time standard. Using EST makes it _more_ difficult to work out
what time an entry was really modified.
Comment 5 David Lawrence 2006-04-08 14:09:43 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 6 Aleksey Nogin 2006-04-08 15:06:13 EDT
Time stamps correctly say "EST" now. While I argee that a preference for this
would be a really good idea, this probably needs to be filed as a separate bug
report. (And if you do, please mention the bug number here. Thanks!)
Comment 7 David Woodhouse 2006-04-08 17:35:28 EDT
"EST" cannot possibly be called 'correct'. It's ambiguous. Timezones must always
be given numerically, if you must use anything other than UTC.

Note You need to log in before you can comment on or make changes to this bug.